{
  "name": "minimal_webapp",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "build": "next build",
    "dev": "next dev",
    "lint": "yarn lint:prettier && yarn lint:next && yarn lint:tsc && yarn lint:stylelint",
    "lint-staged": "lint-staged",
    "lint:next": "next lint",
    "lint:prettier": "prettier . --check",
    "lint:stylelint": "stylelint \"**/*.{css,scss}\"",
    "lint:tsc": "tsc -p tsconfig.json --noEmit --incremental false",
    "prepare": "husky install",
    "start": "next start"
  },
  "dependencies": {
    "clsx": "^1.2.1",
    "next": "13.2.4",
    "react": "18.2.0",
    "react-dom": "18.2.0",
    "react-hook-form": "^7.43.7",
    "react-icons": "^4.8.0",
    "react-spinners": "^0.13.8",
    "swr": "^2.1.1",
    "xml-js": "^1.6.11"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.5.0",
    "@commitlint/config-conventional": "^17.4.4",
    "@tailwindcss/typography": "^0.5.9",
    "@types/node": "18.15.5",
    "@types/react": "18.0.28",
    "@types/react-dom": "18.0.11",
    "autoprefixer": "^10.4.14",
    "eslint": "8.36.0",
    "eslint-config-next": "13.2.4",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-tailwindcss": "^3.10.1",
    "husky": "^8.0.3",
    "lint-staged": "^13.2.0",
    "postcss": "^8.4.21",
    "prettier": "^2.8.6",
    "prettier-plugin-organize-imports": "^3.2.2",
    "prettier-plugin-tailwindcss": "^0.2.5",
    "sass": "^1.59.3",
    "stylelint": "^15.3.0",
    "stylelint-config-css-modules": "^4.2.0",
    "stylelint-config-standard-scss": "^7.0.1",
    "stylelint-prettier": "^3.0.0",
    "stylelint-webpack-plugin": "^4.1.0",
    "tailwindcss": "^3.2.7",
    "typescript": "4.9.5"
  },
  "engines": {
    "node": ">=18.13.0"
  }
}
